This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 757122 - scala does not build with java-1.7.0-openjdk
scala does not build with java-1.7.0-openjdk
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scala (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Geoff Reedy
Fedora Extras Quality Assurance
:
: 914504 (view as bug list)
Depends On:
Blocks: F19FTBFS
  Show dependency treegraph
 
Reported: 2011-11-25 09:13 EST by Alexandre Mazari
Modified: 2014-03-18 21:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-18 21:19:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Enfore jd6 usage for build (1.50 KB, patch)
2011-11-25 09:15 EST, Alexandre Mazari
no flags Details | Diff

  None (edit)
Description Alexandre Mazari 2011-11-25 09:13:50 EST
Description of problem:

Latest scala version (2.9.1) build fails on Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=272164

Cause:
- scala-2.9.1 do not build on JDK7 because of the update to swing introducing types arguments (generics) to some classes.
- the scala package do not enforce building with the compatible jdk6

The attached patch hopefully fix the build issue by enforcing usage of jdk6 by getting stricter on the build requirements.
Comment 1 Alexandre Mazari 2011-11-25 09:15:29 EST
Created attachment 536339 [details]
Enfore jd6 usage for build
Comment 2 gil cattaneo 2012-11-23 10:29:10 EST
hi
take a look here https://github.com/scala/scala/compare/java7
Comment 3 Fedora End Of Life 2013-04-03 10:57:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Jens Petersen 2013-06-13 21:26:06 EDT
openjdk 1.6 is no longer available in Fedora.
Comment 5 Jens Petersen 2013-06-13 21:39:13 EDT
*** Bug 914504 has been marked as a duplicate of this bug. ***
Comment 6 Filipe Rosset 2014-03-18 21:19:20 EDT
Closing this one because scala is building fine in rawhide against openjdk-1.7

http://koji.fedoraproject.org/koji/packageinfo?packageID=6830

Note You need to log in before you can comment on or make changes to this bug.